angular.module('app.constants', [])
  .constant('AppConfig', {
    version: '2.5.21',
    enviroment: "Bydgoski Rower Aglomeracyjny",
    url: "http://bydgoszcz.homeport.cz/",
    GoogleAnalytics: "UA-24663728-23",
    URL_SCHEME: 'czhomeportbydgoszcz',
    navigation: {
      AllowNavigation: true
    },
    backend: {
      url: "https://tkhs-bydgoszcz.cloudapp.net/Services/Api/",
      ios: {
        client_secret: "fedOOHELJqa8n7Qe9ATZYskLdXlFEwGn7FoYTl2=ZhNwiFQSKZagm6jhX=REABctb7ePtX",
        client_id: "iphone",
      },
      macintel: {
        client_secret: "fedOOHELJqa8n7Qe9ATZYskLdXlFEwGn7FoYTl2=ZhNwiFQSKZagm6jhX=REABctb7ePtX",
        client_id: "iphone",
      },
      android: {
        client_secret: "VGRjTxIYKYmyl1mMc7e+cAa+C+K6ECJeme5LLnFhrz8hig9YCtfVWq82BxJJNIBlqYC+gD",
        client_id: "android",
      }
    },
    bikes: {
      ebikes: false,
      external: true,
      free: false
    },
    lang: "pl",
    currency: {
      symbol: "zł",
      placement: false,
    },
    GoogleMapsApiKey: "AIzaSyCxRViS1rHQjegHE8__IxnE9DYJYsfJY-g",
    CreateCustomer: {
      Name: {
        show: true,
        type: "text",
        required: true
      },
      Surname: {
        show: true,
        type: "text",
        required: true
      },
      EmailAddress: {
        show: true,
        type: "email",
        required: true
      },
      PhoneNumber: {
        show: true,
        type: "tel",
        required: true
      },
      City: {
        show: false,
        type: "text",
        required: false
      },
      Street: {
        show: false,
        type: "text",
        required: false
      },
      PostalCode: {
        show: false,
        type: "text",
        required: false
      },
      Age: {
        show: false,
        type: "number",
        required: false
      },
      GenderExternalID: {
        show: false,
        type: "radio",
        required: false
      }
    },
    AddCredit: {
      minAmount: 10,
      gateways: [{
        code: "payu",
        name: "PayU"
      }]
    },
    langs: {
      en: "English",
      pl: "Polski",
      de: "Deutsch",
      ru: "русский"
    },
    "batteryStates": {
      max: 90,
      high: 75,
      medium: 50,
      low: 35,
      critical: 10
    }
  });